<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVar Method (IEdmEnumeratorVariable5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable5 Interface : GetVar Method (IEdmEnumeratorVariable5)

Visual Basic
C#
C++/CLI

bsVarName
  Name of variable to read

bsCfgName
  Name of configuration or layout from which to get the variable value; empty string for folders and file types that do not support configurations (see Remarks)

poRetValue
  Variable value; data type as specified in IEdmVariable5::VariableType (see Remarks)

Obsolete. Superseded by IEdmEnumeratorVariable10::GetVar2.

# Syntax

Visual Basic |
--- | ---

    Function GetVar( _
       ByVal bsVarName As System.String, _
       ByVal bsCfgName As System.String, _
       ByRef poRetValue As System.Object _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetVar(
       System.string bsVarName,
       System.string bsCfgName,
       out System.object poRetValue
    )

C++/CLI |
--- | ---

    System.bool GetVar(
    &   System.String^ bsVarName,
    &   System.String^ bsCfgName,
    &   [Out] System.Object^ poRetValue
    )

#### Parameters

bsVarName
  Name of variable to read
bsCfgName
  Name of configuration or layout from which to get the variable value; empty string for folders and file types that do not support configurations (see Remarks)
poRetValue
  Variable value; data type as specified in IEdmVariable5::VariableType (see Remarks)

#### Return Value

True if the variable is found, false if not

# Remarks

To specify bsCfgName:

- Call IEdmFile5::GetConfigurations to get the available configuration names for this file.
- If this method is used in your add-in's implementation of IEdmAddIn5::OnCmd, then a list of configuration names for the data card is returned in ppoData that can be cast to EdmCmdData. EdmCmdData.mpoExtra contains an IEdmStrLst5 of configuration names.

C++ users must initialize the VARIANT struct of poRetValue with a call to VariantInit before calling this method. They also must free the contents of the struct with a call to VariantClear.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The variable was not found.

# See Also

####

IEdmEnumeratorVariable5 Interface
IEdmEnumeratorVariable5 Members
IEdmEnumeratorVariable5::SetVar Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2